body {
  margin: 0;
  font-family: Arial, sans-serif;
  text-align: justify;
  text-justify: inter-word;

  /* this is needed for certain browsers, e.g., mozilla on linux, that default to a greyish color */
  background-color: white;

  /*testing again*/
  overflow-x: hidden;

  /*testing because system font size on phone breaks the site*/
  /*font-size: 1.4vw;*/
}
header {
  position: sticky;
  top: 0;
  /*Needed for the collapsibles*/
  z-index: 1;
}

main {
  padding-left: 10px;
  padding-right: 10px;
}

p, h1, h2, h3, h4, ul, li {
  margin: 0;
}

ul {
  margin-top: 5px;
  margin-bottom: 5px;
    /*indent*/
    padding-left: 35px;
}

/****************************/

h4 {
  font-weight: normal;
  font-size: 1rem;
  /*font-size: 1.4vw;*/
}

hr {
    border: 0;
    height: 1px;
    background-image:
    linear-gradient(to right, rgba(255, 255, 255, 0),
      rgba(0, 0, 0, 1),
      rgba(255, 255, 255, 0));
}

footer {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  margin-bottom: 20px;
}

a {
  text-decoration:none;
  color: #0f7afc;
  border-bottom: solid 1px rgba(15, 122, 252, 0.2);
}

a:hover {
  text-decoration:none;
  color:#cf0000;
  cursor: pointer;
  border-bottom-color: rgba(208, 64, 0, 0.2);
}

a:visited {
  text-decoration:none;
  color: #800080;
  border-bottom-color: rgba(128, 0, 128, 0.2);
}

/****************************/

.section-title, .section-title-collapsible, .section-subtitle {
  font-weight: bold;
  margin-top: 15px;
}

.section-subtitle {
  text-decoration: underline;
}

.date-content-box {
  display: flex;
  align-items: top;
  justify-content: space-evenly;
  margin-bottom: 5px;
  padding: 5px;

  gap: 10px;

  background-image:
  linear-gradient(to right, rgba(255, 255, 255, 1),
    rgba(55, 55, 55, .1),
    rgba(255, 255, 255, 1));
}

.my-dates {
  padding-right: 20px;
  flex: 1;
  font-weight: 600;
}

.content {
  flex: 4;
}

#interests {
  display: flex;
  justify-content: space-evenly;
  align-items: center;

  flex-wrap: wrap;

  margin-bottom: 20px;
}

#interests img {
  width: 38px;
  height: 20%;
  margin-left: 7px;
  margin-right: 7px;
  margin-top: 10px;
  /*
  background-color: transparent;
  box-shadow: 1px 5px 8px rgba(0, 0, 0, .3);
  */
}

.double-column {
  display: flex;
  justify-content: space-evenly;
  gap: 20px;
  /* this is so hacky but idk why there is a little extra space lol*/
  margin-top: -7px;
}

.column {
  width: 100%;
}

#awards-double {
  align-items: center;
}

#awards-column1 {
  flex: 4;
}

#awards-column2 {
  flex: 1;
  display: flex;
  justify-content: center;
}

#awards-column2 img {
  max-width: 110px;
  max-height: 100%;
  width: auto;
  height: auto;
}

.footer-column {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.bottom-icon-bar {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
}

.bottom-icon {
  border: none;
  /*this is how you center an image in a link LOL*/
  text-align: center;
}

.footer-text, .footer-text-fun {
  font-size: .7rem;
}

.footer-text-fun {
  font-style: italic;
}

#ss_col {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 20px;
  margin-bottom: 20px;
}

.ss_img {
  width: 75vw;
}

/****************************/
/* Collapsible              */
/****************************/

details[open] summary ~ * {
  animation: open .7s ease-in-out;
}

@keyframes open {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* this doesn't do anything lol */
details summary::-webkit-details-marker {
  display: none;
}

details summary {
  padding-bottom: .3rem;
  position: relative;
  cursor: pointer;
  font-weight: 300;
  list-style: none;
}

details summary:after {
  content: "+";
  color: rgb(100 100 100);
  position: absolute;
  font-size: 2.2rem;
  /*font-size: 3vw;*/
  line-height: 0;
  margin-top: .75rem;
  left: 260px;
  top: 7px;
  font-weight: 200;
  transform-origin: center;
  transition: .2s linear;
}

details summary:hover {
  background-image:
  linear-gradient(to right, rgba(255, 255, 255, .1),
    rgba(15, 15, 15, .1),
    rgba(35, 35, 35, .1),
    rgba(55, 55, 55, .1),
    rgba(155, 155, 155, .1),
    rgba(255, 255, 255, 1));
  -webkit-transition: background-image 5s ease-in-out;
  transition: background-image 5s ease-in-out;
}

details summary:hover:after {
  font-size: 2.7rem;
  /*font-size: 3.8vw;*/
}

details[open] summary:after {
  transform: rotate(45deg);
  font-size: 2.7rem;
  /*font-size: 3.8vw;*/
}

details summary:before {
  content: '>';
  top: 1px;
  position: absolute;
  font-size: 2rem;
  /*font-size: 2.8vw;*/
  transform-origin: center;
  transition: .2s linear;
}

details[open] summary:before {
  transform: rotate(90deg);
  font-size: 2rem;
  /*font-size: 2.8vw;*/
}

.section-title-collapsible {
  margin-left: 45px;
  padding-top: 5px;
}

.collapsed-hr {
  margin-top: 5px;
}

#skills {
  margin-top: 17px;
}

#courses .date-content-box .my-dates,
#courses .date-content-box .content h4 {
  font-size: .6rem;
}

#courses .date-content-box {
  margin-top: -3px;
}

#courses .date-content-box .my-dates {
  flex: 1.5;
}

/****************************/
/*Media queries for phone   */
/****************************/

@media only screen and (max-width: 650px) {
  p, ul, .my-dates {
    font-size: .75rem;
  }

  .footer-text, .footer-text-fun {
    font-size: .55rem;
  }

  .bottom-icon img {
    width: 60%;
  }

  h2 {
    font-size: 1rem;
  }

  h3 {
    font-size: .85rem;
  }

  h4 {
    font-size: .75rem;
  }

  #interests img {
    width: 24px;
    margin-left: 4px;
    margin-right: 4px;
    margin-bottom: -10px;
    margin-top: -10px;
  }

  #interests {
    gap: 30px 0px;
  }

  #awards-double {
    flex-direction: column;
    gap: 10px;
  }

  #awards-column2 img {
    max-width: 80px;
    margin-bottom: 15px;
  }

  details summary:after {
    top: 2px;
    left: 190px;
    font-size: 1.7rem;
  }

  details summary:before {
    top: -2px;
    font-size: 1.7rem;
  }
}